UAD Plug-Ins

Welcome to UA Support
How can we help?

Apollo X Series System Requirements

System requirements for Apollo x6, Apollo x8, Apollo x8p, and Apollo x16

UAD Powered Plug-Ins version 9.6.1

Mac:

  • Apple Mac computer with available Thunderbolt, Thunderbolt 2, or Thunderbolt 3 port
    IMPORTANT NOTE: The latest generation of Apple Mac Pro computers (Late 2013 “black cylinder” models) are not yet compatible with Apollo X Series interfaces. Please click here for more info.
  • Thunderbolt and Thunderbolt 2 connections require an Apple Thunderbolt 3 to Thunderbolt 2 Adapter (sold separately)
  • macOS 10.12 Sierra or 10.13 High Sierra
  • Mac Pro (Late 2013 “black cylinder” model) compatibility for Apollo X coming Q4 2018

Windows:

  • PC computer with available Thunderbolt 3 via USB-C port
  • Windows 10 w/Fall Creators Update or later (64-Bit Edition)

*See the Apollo X Series Windows Compatibility article for details

All:

  • Thunderbolt 3 cable (sold separately)
  • 6 gigabytes available storage
  • Internet connection to download software and authorize UAD plug-ins
  • Compatible VST, Audio Units, RTAS, or AAX 64 plug-in host DAW software
  • Quad Core i7 or better processor recommended

 

Notes 

  • Operating systems not listed above are untested. Although untested operating systems may work, they are not supported by Universal Audio. Prior UAD software for older operating systems and discontinued UAD products is available in the UAD software archives
  • Pre-release and beta versions of operating systems are not supported.
  • 2-in-1 systems (notebook/tablet) are not recommended.
  • For details on macOS 10.13 High Sierra and Windows 10 Fall Creator's Update compatibility, click here.
Have more questions? Submit a request

Comments